---
schema-version: '1.1'
name: OpenSearch Dashboards
version: 2.19.3
platform: linux
architecture: x64
distribution: tar
id: '8516'
rc: '3'
test-run:
  Command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
    --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/x64/tar
    opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/x64/tar
  TestType: integ-test
  TestManifest: manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/x64/tar/dist/opensearch-dashboards/manifest.yml
  TestID: '7508'
components:
  - name: indexManagementDashboards
    command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/x64/tar
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/x64/tar
      --component indexManagementDashboards
    repository: https://github.com/opensearch-project/index-management-dashboards-plugin.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/indexManagementDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/indexManagementDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: observabilityDashboards
    command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/x64/tar
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/x64/tar
      --component observabilityDashboards
    repository: https://github.com/opensearch-project/dashboards-observability.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/observabilityDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/observabilityDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/observabilityDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
  - name: flowFrameworkDashboards
    command: ./test.sh integ-test manifests/2.19.3/opensearch-dashboards-2.19.3-test.yml
      --paths opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/2.19.3/11234/linux/x64/tar
      opensearch-dashboards=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch-dashboards/2.19.3/8516/linux/x64/tar
      --component flowFrameworkDashboards
    repository: https://github.com/opensearch-project/dashboards-flow-framework.git
    configs:
      - name: with-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/flowFrameworkDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-0/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-0/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/with-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - No Failed Test
      - name: without-security
        status: PASS
        yml: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/flowFrameworkDashboards.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-2/stdout.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-3/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-2/stderr.txt
          - https://ci.opensearch.org/ci/dbc/integ-test-opensearch-dashboards/2.19.3/8516/linux/x64/tar/test-results/7508/integ-test/flowFrameworkDashboards/without-security/local-cluster-logs/id-3/stderr.txt
        failed_test:
          - No Failed Test
